/*******************************************************************************
 * MaterialExpressionFunctionInput generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class MaterialExpressionFunctionInput extends MaterialExpression
    native(Material)
    hidecategories(Object,Object);

enum EFunctionInputType
{
    FunctionInput_Scalar,
    FunctionInput_Vector2,
    FunctionInput_Vector3,
    FunctionInput_Vector4,
    FunctionInput_Texture2D,
    FunctionInput_TextureCube,
    FunctionInput_StaticBool,
    FunctionInput_MAX
};

var ExpressionInput Preview;
var() string InputName;
var() string Description;
var const Guid Id;
var() MaterialExpressionFunctionInput.EFunctionInputType InputType;
var() Vector4 PreviewValue;
var() bool bUsePreviewValueAsDefault;
var transient bool bCompilingFunctionPreview;
var() int SortPriority;

defaultproperties
{
    InputName="In"
    InputType=EFunctionInputType.FunctionInput_Vector3
    PreviewValue=(X=0.0,Y=0.0,Z=0.0,W=1.0)
    bCompilingFunctionPreview=true
    BorderColor=(R=185,G=255,B=172,A=0)
    MenuCategories(0)=Functions
}